/*

    Basic Broadcaster (bb)
    
    For copyright owners see README.txt.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

    For more information about the GNU Public license see:
    http://www.gnu.org/copyleft/gpl.html

*/

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.DatagramPacket;
import java.net.InetSocketAddress;


public class DatagramHelper implements ConstantsI
{

	public static  DatagramPacket createDatagram(String input) throws Exception
	{

		ByteArrayOutputStream outStream = new ByteArrayOutputStream(MAX_PACKET_LENGTH);
		ObjectOutputStream out = new ObjectOutputStream(outStream);
		out.writeUTF(input);
		out.flush();
		byte[] buf = outStream.toByteArray();

		DatagramPacket packet = new DatagramPacket(buf, buf.length, new InetSocketAddress("255.255.255.255", LISTEN_PORT));
		return packet;
	}

	public static String datagramToString(DatagramPacket packet) throws IOException
	{
		ByteArrayInputStream inStream = new ByteArrayInputStream(packet.getData());
		ObjectInputStream in = new ObjectInputStream(inStream);
		return in.readUTF();
	}
}
